Katello - Bug #23850

lifecycle environment container image tags search 500s on server
06/07/2018 03:23 PM - Thomas McKay

Status: Closed
Priority: Normal
Assignee: Thomas McKay
Category: Lifecycle Environments
Target version: Katello 3.7.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/744
9
Description

Visit a lifecycle environment's "container image tags" page then pick a content view and a repository to reduce search.

https://devel.example.com/katello/api/v2/docker_tags?content_view_version_id=4&environment_id=5&11
brary=true&page=l&paged=true&per_page=20&repository_id=20&search=

Server error

018-06-07T15:20:36 [E|appla75b4] NoMethodError: undefined method “docker_tags' for #<Katello::Cont
entViewVersion:0x007£607b5577c8>

| Did you mean? docker_tag_count

| /home/vagrant/.rvm/gems/ruby-2.4.1/gems/activemodel-5.1.6/1lib/active_model/attribute_methods.rb
:432:in "method_missing'

| /home/vagrant/code/katello/app/controllers/katello/concerns/api/v2/repository_content_controlle
r.rb:127:in "filter_by_content_view_version'

| /home/vagrant/code/katello/app/controllers/katello/concerns/api/v2/repository_content_controlle
r.rb:72:in " index_relation'

| /home/vagrant/code/katello/app/controllers/katello/concerns/api/v2/repository_content_controlle
r.rb:32:in " index'

| /home/vagrant/code/katello/app/controllers/katello/api/v2/docker_tags_controller.rb:24:in " inde

x"'

Associated revisions

Revision d434ddae - 06/14/2018 05:47 PM - Thomas McKay
fixes #23850,#23866 - lifecycle container image tags

History

#1 - 06/13/2018 05:49 PM - Justin Sherrill

- translation missing: en.field_release set to 338

#2 - 06/13/2018 07:09 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Thomas McKay

- Pull request https://github.com/Katello/katello/pull/7449 added

#3 - 06/14/2018 06:01 PM - Thomas McKay
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100
Applied in changeset katello|d434ddaedce55199812718c20fe3596fee2fab12.
